{
  "name": "@flywheel-io/cornerstone-core",
  "version": "2.6.1",
  "description": "HTML5 Medical Image Viewer Component",
  "main": "./dist/cornerstone.js",
  "keywords": [
    "DICOM",
    "medical",
    "imaging"
  ],
  "author": "Chris Hafey",
  "homepage": "https://github.com/cornerstonejs/cornerstone",
  "license": "MIT",
  "module": "./dist/cornerstone.js",
  "repository": {
    "type": "git",
    "url": "https://github.com/cornerstonejs/cornerstone.git"
  },
  "scripts": {
    "preinstall": "npx force-resolutions",
    "docs:api": "npm run clean:docs && documentation build src/index.js -f md -c documentation.yml -o docs/api.md",
    "build": "npm run version && npm run webpack",
    "clean": "npm run clean:dist && npm run clean:coverage",
    "clean:dist": "shx rm -rf dist",
    "clean:docs": "shx rm -f docs/api.md",
    "clean:coverage": "shx rm -rf coverage",
    "docs": "npm run docs:api && cd docs && gitbook serve",
    "docs:deploy": "npm run docs:api && bash ./.circleci/update-docs.sh",
    "eslint": "eslint -c .eslintrc.js src",
    "eslint-quiet": "eslint -c .eslintrc.js --quiet src",
    "eslint-fix": "eslint -c .eslintrc.js --fix src",
    "eslint-fix-test": "eslint -c .eslintrc.js --fix test",
    "start": "npm run webpack",
    "start:dev": "webpack-dev-server --config ./config/webpack/webpack-dev",
    "test": "npm run test:chrome",
    "commit": "git-cz",
    "test:all": "npm run test:chrome && npm run test:firefox",
    "test:watch": "karma start config/karma/karma-watch.js",
    "test:chrome": "karma start config/karma/karma-chrome.js",
    "test:firefox": "karma start config/karma/karma-firefox.js",
    "watch": "npm run webpack:watch",
    "webpack": "npm run clean:dist && npm run webpack:prod && npm run webpack:dev",
    "webpack:dev": "webpack --progress --config ./config/webpack/webpack-dev",
    "webpack:prod": "webpack --progress --config ./config/webpack/webpack-prod",
    "webpack:watch": "webpack --progress --watch  --config ./config/webpack",
    "version": "node -p -e \"'export default \\'' + require('./package.json').version + '\\';'\" > src/version.js"
  },
  "devDependencies": {
    "@babel/core": "^7.15.5",
    "@babel/preset-env": "^7.15.4",
    "@babel/preset-typescript": "^7.15.0",
    "babel-loader": "^8.2.2",
    "chai": "^4.1.2",
    "commitizen": "^4.2.4",
    "coveralls": "^3.0.2",
    "cz-conventional-changelog": "^3.3.0",
    "docdash": "^1.0.0",
    "documentation": "^14.0.3",
    "eslint": "^9.15.0",
    "eslint-webpack-plugin": "^4.2.0",
    "gitbook-plugin-edit-link": "^2.0.2",
    "gitbook-plugin-ga": "^2.0.0",
    "gitbook-plugin-github": "^3.0.0",
    "gitbook-plugin-sitemap": "^1.2.0",
    "istanbul": "^0.4.5",
    "jsdoc": "^4.0.3",
    "karma": "^6.4.4",
    "karma-chrome-launcher": "^2.2.0",
    "karma-coverage": "^2.2.1",
    "karma-firefox-launcher": "^1.1.0",
    "karma-mocha": "^2.0.1",
    "karma-webpack": "^5.0.1",
    "lodash": "^4.17.11",
    "mocha": "^10.7.3",
    "open-cli": "^8.0.0",
    "puppeteer": "^1.18.1",
    "shx": "^0.3.2",
    "typescript": "^4.4.2",
    "webpack": "^5.96.1",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^5.1.0"
  },
  "files": [
    "dist/cornerstone.js",
    "dist/cornerstone.js.map",
    "dist/cornerstone.min.js",
    "dist/cornerstone.min.js.map"
  ],
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  },
  "resolutions": {
    "node-forge": "1.3.0",
    "async": "2.6.4",
    "minimist": "1.2.6",
    "kind-of": "6.0.3",
    "braces": "3.0.3",
    "tough-cookie": "4.1.3",
    "body-parser": "1.20.3",
    "glob-parent": "5.1.2",
    "serialize-javascript": "3.1.0",
    "cross-spawn": "6.0.6"
  }
}
